Bug 139599 - file descriptor leak
Summary: file descriptor leak
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: tcsh   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-16 21:25 UTC by Kasper Dupont
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-20 11:51:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kasper Dupont 2004-11-16 21:25:36 UTC
Description of problem:
When the exec command is used in tcsh, too many file descriptors will
be left open.

Version-Release number of selected component (if applicable):
tcsh-6.12-8

How reproducible:
Always

Steps to Reproduce:
1. Start tcsh
2. Type: exec ls -l /proc/self/fd
  
Actual results:
[kasperd@marvin kasperd]$ tcsh
[kasperd@marvin ~]$ exec ls -l /proc/self/fd
total 7
lrwx------  1 kasperd kasperd 64 Nov 16 22:29 0 -> /dev/pts/3
lrwx------  1 kasperd kasperd 64 Nov 16 22:29 1 -> /dev/pts/3
lrwx------  1 kasperd kasperd 64 Nov 16 22:29 2 -> /dev/pts/3
lrwx------  1 kasperd kasperd 64 Nov 16 22:29 3 -> /dev/pts/3
lrwx------  1 kasperd kasperd 64 Nov 16 22:29 4 -> /dev/pts/3
lrwx------  1 kasperd kasperd 64 Nov 16 22:29 5 -> /dev/pts/3
lr-x------  1 kasperd kasperd 64 Nov 16 22:29 6 -> /proc/3818/fd
[kasperd@marvin kasperd]$ 

Expected results:
[kasperd@marvin kasperd]$ tcsh
[kasperd@marvin ~]$ exec ls -l /proc/self/fd
total 7
lrwx------  1 kasperd kasperd 64 Nov 16 22:29 0 -> /dev/pts/3
lrwx------  1 kasperd kasperd 64 Nov 16 22:29 1 -> /dev/pts/3
lrwx------  1 kasperd kasperd 64 Nov 16 22:29 2 -> /dev/pts/3
lr-x------  1 kasperd kasperd 64 Nov 16 22:29 3 -> /proc/3818/fd
[kasperd@marvin kasperd]$ 

Additional info:

Comment 1 Miloslav Trmač 2004-11-20 11:51:46 UTC
I have sent a patch fixing this issue to the upstream developers.
Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.